## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/

management
/
v2.0
/
organisations

Try it

Get Organizations

### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/management/v2.0/organisations \
  --header 'Authorization: Basic <encoded-value>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/management/v2.0/organisations"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v2.0/organisations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/organisations",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "", 
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/management/v2.0/organisations"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### JSON Response Example for 200

```json
{
  "items": [
    {
      "_id": "<string>",
      "businessUnitId": "<string>",
      "tenantId": "<string>",
      "name": "<string>",
      "disabled": true,
      "quotaMaxProjects": 123,
      "quotaMaxUsers": 123,
      "quotaMaxChannelsPerProject": 123,
      "quotaMaxMessagesPerDay": 123,
      "quotaMaxKnowledgeChunks": 123,
      "passwordPolicy": {
        "minLength": 123,
        "maxLength": 123,
        "minAmountLowerCase": 123,
        "minAmountUpperCase": 123,
        "minAmountSpecialCharacters": 123,
        "minAmountNumbers": 123,
        "maxAmountIdenticalCharacters": 123,
        "minAmountFailedAttemptsAutoDisable": 123
      },
      "sessionStateTTLInMinutes": 123,
      "contactProfileTTLInMinutes": 123,
      "conversationTTLInMinutes": 123,
      "liveAgentAccount": 123,
      "billingTimezone": "Europe/Berlin",
      "dataPrivacySettings": {
        "enabled": true,
        "useAnalytics": true,
        "useContactProfiles": true,
        "useConversations": true,
        "maskAnalytics": true,
        "maskLogging": true,
        "ignoreList": [
          "<string>"
        ]
      },
      "aiOpsCenterEnabled": true
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Common Error Responses

#### 400 - Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### 401 - Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **Authorization**: Basic Authentication used by routes designed for the Management-UI.

### Headers

- **Accept**: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.
